package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.PostE;

/**
 * web-domain
 *
 * @Author SondonYong
 * @Date 2025-10-31 17:24:04
 */
public interface PostGateway {

    /**
     * 新增
     */
    Long add(PostE postE);

    /**
     * 修改
     */
    Boolean update(PostE postE);

    /**
     * 删除
     */
    Boolean deletedPostById(Long id);

    Boolean deletedPostByIds(Long[] id);
}

